
Redmine - Patch #1782

Unit tests fail when using a Git clone of the original SVN repository

2008-08-13 16:07 - Simone Carletti

Status: Closed Start date: 2008-08-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

This patch add compatibility with Git clones of the original SVN repository.

Because Git doesn't store empty folders, you should use mkpath instead of mkdir when parent folder could be empty.

History

#1 - 2008-08-13 17:37 - Eric Davis

I'm not sure if this is relevant but the testing documentation states:

Creating test repositories

===================

mkdir tmp/test

....

 Found in doc/RUNNING_TESTS

#2 - 2008-08-13 18:39 - Simone Carletti

Eric Davis wrote:

I'm not sure if this is relevant but the testing documentation states:

Creating test repositories

===================

mkdir tmp/test

....

 Found in doc/RUNNING_TESTS

 Hi Eric,

I admin I did't realized there was a test documentation in doc folder before you pointed it out.

If you create /tmp/test folder you should probably be safe unless tmp is empty. If so, you should create tmp before.

#3 - 2011-01-24 01:41 - Toshi MARUYAMA

- Category set to SCM

- Assignee deleted (Jean-Philippe Lang)

#4 - 2011-02-02 03:31 - Toshi MARUYAMA

- Status changed from New to Closed

tmp/test/empty is added at r2784.
